/**
 * @project:    PodiAdmin
 * @copyright:  2022 Nuedi Servicios SA de CV. All Rights Reserved
 * @updated by: Silver - 06/11/2022
 **/

/* fonts */

@import url('https://fonts.googleapis.com/css?family=Eczar|Work+Sans');

/* general */

html {
    background: url("../images/lock-screen-background.jpg") no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    height: 100%;
    overflow: hidden;
    margin:0;
    padding:0;
    font-family: 'Work Sans', Calibri, sans-serif;
    font-size: 11pt;
    color: #333;
}

/* warning messages */

dialog#custom-msg {
    margin-top: -50px;
    margin-left: -200px;
    padding: 0;
    top: 50%;
    left: 50%;
    width: 400px;
    height: 100px;
    border: 0;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
    position: absolute;
    display: none;
    z-index: 9999;
}

.fa-times {
    position: absolute;
    right: 7px;
    top: 7px;
    font-size: 1.3em;
    cursor: pointer;
}
.icon {
    padding: 18px;
    margin-right: 10px;
    float: left;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    height: -webkit-fill-available;
    background-color: #E44B5E;
}
.icon i {
    font-size: 4em;
    color: #fff;
    margin-top: 3px;
}
dialog#custom-msg h1 {
    font-size: 1em;
    font-weight: bolder;
    padding-top: 15px;
    margin: 0;
}
dialog#custom-msg p {
    font-size: 0.9em;
    padding-top: 8px;
    margin: 0;
}

/* mask whole screen */

#mask {
    position: absolute;
    z-index: 9000;
    background-color: rgba(0, 0, 0, 0.6);
    display: none;
    margin: auto;
    width: 100vw;
    max-width: 100vw;
    height: 100vh;
    max-height: 100vh;
}

/* login form */

.loginform {
    position: absolute;
    margin-top: -160px;
    margin-left: -150px;
    top: 50%;
    left: 50%;
    width: 260px;
    height: 315px !important;
    padding: 20px;
    background-color: #FFFFFF;
    border-radius: 10px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
    inset 0 1px 0 0 rgba(250, 250, 250, 0.5);
    border: 1px solid rgba(0, 0, 0, 0.3);
}

.loginform img {
    margin-left: 12px;
}

a { color: #3090F0; text-decoration: none; }
a:hover { color: #0055D5; cursor: pointer; }

label {
    display: block;
    color: #555555;
}
.cf:before,
.cf:after {
    content: "";
    display: table;
    box-sizing: border-box;
}

.cf:after {
    clear: both;
}
.cf {
    *zoom: 1;
}
:focus {
    outline: 0;
}

.loginform p {
    text-align: center;
    margin: 0 0 10px;
}

.loginform input[type="text"], .loginform input[type="password"] {
    width: 100%;
    border: 2px solid #A1A1A1;
    border-radius: 4px;
    margin: 8px 0;
    outline: none;
    padding: 9px;
    box-sizing: border-box;
    transition: 0.3s;
    line-height: 1.4em;
}

.loginform input[type="text"]:focus, .loginform input[type="password"]:focus {
    border-color: #00A2E2;
    box-shadow: 0 0 8px 0 #00A2E2;
}

.inputWithIcon input[type="text"], .inputWithIcon input[type="password"] {
    padding-left: 55px;
}

.inputWithIcon {
    position: relative;
}

.inputWithIcon i {
    position: absolute;
    left: 0;
    top: 8px;
    padding: 9px 8px;
    color: #A1A1A1;
    transition: 0.3s;
}

.inputWithIcon input[type="text"]:focus + i, .inputWithIcon input[type="password"]:focus + i {
    color: #00A2E2;
}

.title-session {
    color: #555555;
    font-size: 1.1em;
    font-weight: bold;
    text-align: center;
    margin: 10px 0;
}

.version-number {
    font-size: 0.7em;
    color: #555555;
}

.inputWithIcon.inputIconBg i {
    background-color: #A1A1A1;
    color: white;
    padding: 10px 6px;
    border-radius: 4px 0 0 4px;
    font-size: 1.8em;
}

.inputWithIcon.inputIconBg input[type="text"]:focus + i, .inputWithIcon.inputIconBg input[type="password"]:focus + i {
    color: #fff;
    background-color: #00A2E2;
}

.link-forgot {
    font-size: 0.8em;
    margin: 10px 0 5px 120px;
}

.btn_login {
    border: 1px solid rgba(0, 0, 0, 0.3);
    background: #64c8ef;
    background: -moz-linear-gradient(top,  #64c8ef 0%, #00a2e2 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#64c8ef), color-stop(100%,#00a2e2));
    background: -webkit-linear-gradient(top,  #64c8ef 0%,#00a2e2 100%);
    background: -o-linear-gradient(top,  #64c8ef 0%,#00a2e2 100%);
    background: -ms-linear-gradient(top,  #64c8ef 0%,#00a2e2 100%);
    background: linear-gradient(to bottom,  #64c8ef 0%,#00a2e2 100%);
    font-size: 1.3em;
    color: #fff;
    padding: 7px 18px;
    margin-top: 10px;
    border-radius: 3px;
    text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.3);
}
.btn_login:hover {
    background: #00A2E2;
    background: -moz-linear-gradient(top,  #00A2E2 0%, #007BAA 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#00A2E2), color-stop(100%,#007BAA));
    background: -webkit-linear-gradient(top,  #00A2E2 0%,#007BAA 100%);
    background: -o-linear-gradient(top,  #00A2E2 0%,#007BAA 100%);
    background: -ms-linear-gradient(top,  #00A2E2 0%,#007BAA 100%);
    background: linear-gradient(to bottom,  #00A2E2 0%,#007BAA 100%);
}

.mediumsize {
    font-size: 26px;
}

@media only screen and (hover: none) and (pointer: coarse)
{
    background: url("../images/background/small.jpg") no-repeat center center fixed;

    .loginform {
        margin-top: 0x;
        margin-left: 100px;
        left: 0%;
        top: 0%;
    }
}